package com.ruoyi.docking.entity.request;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

/**
 * 新增定期提醒数据
 * @author du
 * @since 2025/3/31 11:01
 */
@Data
public class SREnterRequest {

    /**
     * 提醒名称
     */
    @ApiModelProperty("提醒名称")
    private String rulesName;

    /**
     * 提醒对象 1.企业用户 2政务用户
     */
    @ApiModelProperty("提醒对象 1.企业用户 2政务用户")
    private Integer alertRecipients;

    /**
     * 提醒时间
     */
    @ApiModelProperty("提醒时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime alertTime;

    /**
     * 提醒分类 1.全局自定义通知  2.申报任务即将结束(企业) 3.项目即将建设完成(政务) 4.项目自定义通知
     */
    @ApiModelProperty("提醒分类 1.全局自定义通知  2.申报任务即将结束(企业) 3.项目即将建设完成(政务) 4.项目自定义通知")
    private Integer alertType;

    /**
     * 项目id 非必传
     */
    @ApiModelProperty("项目id 非必传")
    private Long projectId;

    /**
     * 提醒内容
     */
    @ApiModelProperty("提醒内容")
    private String alertContent;
}
